#ifndef _MQTT_API_H_
#define _MQTT_API_H_
#include "MQTTAsync.h"
#include "kcloud_log.h"
#include "kcloud_config.h"

extern void KK_Data_FromDev(void* str,int len);

extern int KK_MQTT_SubTopic(char *topicName);

extern int KK_MQTT_SendMsg(char *topicName,const char *payload);

extern int KK_MQTT_RecvMsg(const char *topicName,const char *payload);

extern int KK_MQTT_UnsubTopic(const char *topicName);

extern MQTTAsync KK_MQTT_Connect(void);

#endif

